let draw = require('DrawBg.js');
let hasWx = wx.setStorageSync;
if (hasWx) {
  let key = 'sdk_loadingbgab';
  let data = {
    timestamp: Math.floor(+new Date() / 1000),
    expiration: 0,
    key: key,
    value: 1
  }
  wx.setStorageSync(key, JSON.stringify(data));
}


let timer = setInterval(() => {
  if(window.__subpackLoaded && window.__bootFunc) {
    clearInterval(timer);
    // Will be replaced with cocos2d-js path in editor
    requirePlugin('cocos');
    window.__bootFunc();
  }
}, 50);


// 绘制启动图片
draw.drawImg('loading_a.jpg');
// 加载子包过程
loadEngine('main');

function loadEngine(name) {
  if (wx.loadSubpackage) {
    _load(name).then((ret) => {
      !ret && loadEngine(name);
    });
  } else {
    require(name + '/game.js');
  }
}

function _load(name) {
  return new Promise((resolve, reject) => {
    const t = new Date().getTime();
    const loadTask = wx.loadSubpackage({
      name,
      success: function (res) {
        console.log("引擎子包加载完毕", new Date().getTime() - t, "ms");
        resolve(true);
      },
      fail: function (res) {
        console.log("引擎子包加载失败", new Date().getTime() - t, "ms");
        resolve(false);
      }
    });
    loadTask.onProgressUpdate(res => {
      // console.log('下载进度', res.progress);
      // console.log('已经下载的数据长度', res.totalBytesWritten);
      // console.log('预期需要下载的数据总长度', res.totalBytesExpectedToWrite);
    });
  });
}